//---------------------------------------------------------------------------
#ifndef NewClassesH
#define NewClassesH
#include <vcl.h>

class TOpComboBox : public TComboBox
{
private:
public:
    virtual __fastcall TOpComboBox(TComponent* Owner);
    virtual __fastcall ~TOpComboBox();
    TObject *pComponent[2];
    TLabel *QueryLabel;
    TStrings *Operator;
};
//---------------------------------------------------------------------------
class TQCheckBox : public TCheckBox
{
private:
public:
    virtual __fastcall TQCheckBox(TComponent* Owner);
    AnsiString ValueChecked;
    AnsiString ValueUnchecked;
    AnsiString FieldName;
    TFieldType DataType;
};
//---------------------------------------------------------------------------
class TQRadioGroup : public TRadioGroup
{
private:
public:
    virtual __fastcall TQRadioGroup(TComponent* Owner);
    virtual __fastcall ~TQRadioGroup();
    TStringList *Values;
    AnsiString FieldName;
    TFieldType DataType;
};
//---------------------------------------------------------------------------
class TQEdit : public TEdit
{
private:
public:
    virtual __fastcall TQEdit(TComponent* Owner);
    AnsiString FieldName;
    TFieldType DataType;
};
//---------------------------------------------------------------------------
class TQListBox : public TListBox
{
private:
public:
    virtual __fastcall TQListBox(TComponent* Owner);
    AnsiString FieldName;
    TFieldType DataType;
};
//---------------------------------------------------------------------------
class TQComboBox : public TComboBox
{
private:
public:
    virtual __fastcall TQComboBox(TComponent* Owner);
    AnsiString FieldName;
    TFieldType DataType;
};
//---------------------------------------------------------------------------
class TQDBLookupListBox : public TDBLookupListBox
{
private:
public:
    virtual __fastcall TQDBLookupListBox(TComponent* Owner);
    AnsiString FieldName;
    TFieldType DataType;
};
//---------------------------------------------------------------------------
class TQDBLookupComboBox : public TDBLookupComboBox
{
private:
public:
    virtual __fastcall TQDBLookupComboBox(TComponent* Owner);
    AnsiString FieldName;
    TFieldType DataType;
};
//---------------------------------------------------------------------------
enum TWildCard { wcEqual, wcMatches, wcLike};
//---------------------------------------------------------------------------
class TSQLOptions : public TPersistent
{
private:
    Boolean FAllowIn;
    Boolean FAllowNull;
    TWildCard FWildcardType;
//    Boolean FUseTableName;
public:
__published:
    __property Boolean AllowIn = {read=FAllowIn, write=FAllowIn};
    __property Boolean AllowNull = {read=FAllowNull, write=FAllowNull};
    __property TWildCard WildcardType = {read=FWildcardType, write=FWildcardType, default=0};
//    __property Boolean UseTableName = {read=FUseTableName, write=FUseTableName}; Not supported in CB1
public:
	__fastcall TSQLOptions(void);
	__fastcall virtual ~TSQLOptions(void);

};
//---------------------------------------------------------------------------
class TControlScrollBars : public TPersistent
{
private:
    Word FIncrement;
    Word FMargin;
    Integer FPosition;
    Integer FRange;
    Boolean FTracking;
    Boolean FVisible;
public:
__published:
    __property Word Increment = {read=FIncrement, write=FIncrement, default=8};
    __property Word Margin = {read=FMargin, write=FMargin};
    __property Integer Position = {read=FPosition, write=FPosition};
    __property Integer Range = {read=FRange, write=FRange};
    __property Boolean Tracking = {read=FTracking, write=FTracking};
    __property Boolean Visible = {read=FVisible, write=FVisible};
public:
	__fastcall TControlScrollBars(void);
	__fastcall virtual ~TControlScrollBars(void);
};
//---------------------------------------------------------------------------

#endif
